ASTEscape (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.parser.node.ASTEscape class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class ASTEscape

    java.lang.Object
      org.apache.velocity.runtime.parser.node.SimpleNode
          org.apache.velocity.runtime.parser.node.ASTEscape

All Implemented Interfaces:
  Node

public class ASTEscape
extends SimpleNode

This class is responsible for handling Escapes in VTL. Please look at the Parser.jjt file which is what controls the generation of this class.

Version:
  $Id: ASTEscape.java,v 1.6.4.1 2004/03/03 23:22:58 geirm Exp $
Author:
  Geir Magnusson Jr.

Field Summary
`private char[]` | `ctext`
`java.lang.String` | `val`

Fields inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`children, first, id, info, invalid, last, parent, parser, rsvc, state`

Constructor Summary
`ASTEscape(int id)`
`ASTEscape(Parser p, int id)`

Method Summary
`java.lang.Object` | `init(InternalContextAdapter context, java.lang.Object data)`
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`boolean` | `render(InternalContextAdapter context, java.io.Writer writer)`

Methods inherited from class org.apache.velocity.runtime.parser.node.SimpleNode
`childrenAccept, dump, evaluate, execute, getColumn, getFirstToken, getInfo, getLastToken, getLine, getType, isInvalid, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, literal, setFirstToken, setInfo, setInvalid, toString, value`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### val

    public java.lang.String val

### ctext

    private char[] ctext

Constructor Detail

### ASTEscape

    public ASTEscape(int id)

### ASTEscape

    public ASTEscape(Parser p,
                     int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

### init

    public java.lang.Object init(InternalContextAdapter context,
                                 java.lang.Object data)
                          throws java.lang.Exception

  Specified by:
    `init` in interface `Node`
  Overrides:
    `init` in class `SimpleNode`
  Throws:
    `java.lang.Exception`

### render

    public boolean render(InternalContextAdapter context,
                          java.io.Writer writer)
                   throws java.io.IOException

  Specified by:
    `render` in interface `Node`
  Overrides:
    `render` in class `SimpleNode`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.